Developers
API ReferenceMilestone

Retrieves a Milestone resource

GET
/project/milestones/{id}

Retrieves a Milestone resource

Authorization

apiKey
headerAuthorization<token>

Value for the Authorization header parameter.

Path Parameters

id*string

Milestone identifier

Response Body

Milestone resource

  1. response
id?string
Formatuuid
project?string
Formatuuid
stage?|
Formatuuid
weight?integer
name?string
Lengthlength <= 100
dateStart?string
Formatdate-time
description?|
Lengthlength <= 500
status?|
Value in"todo""on-hold""at-risk""done"
Example Request
curl -X GET 'https://app.icproject.com/api/instance/demo/project/milestones/string'
Example Response
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "project": "9ec8a81a-31b2-4a83-bcd8-cef9150932d2",  "stage": "9f09bdb0-89bd-4a1a-b468-0312474f1023",  "weight": 0,  "name": "string",  "dateStart": "2019-08-24T14:15:22Z",  "description": "string",  "status": "todo"}